<?Php
/**
* @version $Id: afschrijfboek.php,v 0.7 2006/08/17 Exp $
* @package Joomla
* @subpackage Afschrijfboek
* @copyright (C) 2006 Tonci Galic, Sjoerd Hardeman, Laszlo van den Hoek, cia@skoll.nl
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Joomla is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

?>

<?PHP
class ab_HTML {
	function teken_tabel($option,$tijden,$datum,$boots,$type,$lookback=false) {
		global $my,$afschrijfbaas,$component_root;
		global $maxvooruit;
		global $time_offset;
		global $local;
		global $Itemid;
		global $types;
		global $now;
		
		echo "<link rel='stylesheet' href='".sefReltoABs("components/com_afschrijfboek/afschrijfboek.css")."' type='text/css'>";

		setlocale(LC_TIME, $local);
		echo "<h2>".strftime("%A %d %B %G",$datum)."</h2>";
		if ($lookback) $taak="lookback";
		else $taak="afschrijfboek";
		//Datumselectie
		?> 
		<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&taak=$taak");?>' method='post' id='afschrijfboek'>
		<input type='hidden' name='option' value='<?php echo $option;?>'>
		<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
		<?PHP
		if (in_array($my->id,$afschrijfbaas)&&$lookback) {
			?>
				<script type='text/javascript' src='<?php echo sefReltoAbs("components/com_afschrijfboek/calendarDateInput.js");?>'>
				/***********************************************
				* Jason's Date Input Calendar- By Jason Moon http://calendar.moonscript.com/dateinput.cfm
				* Script featured on and available at http://www.dynamicdrive.com
				* Keep this notice intact for use.
				***********************************************/
			</script>
			<script>DateInput('datum', true, 'DD-MM-YYYY','<?php echo strftime("%d-%m-%Y",$datum); ?>')</script>
			<input type='submit' name='send' class='button' VALUE='Andere datum'>
			<?php
		}
		else {
			echo "<select name='datum' onchange='afschrijfboek.submit()'>";
			for ($i = $now; $i <= ($now + (86400*$maxvooruit)); $i+=86400) {
				$mdy = explode(" ", date("m d Y",$i));
				$value = mktime(0,0,0,$mdy[0], $mdy[1], $mdy[2]);
				$datestr = strftime("%A %d %B",$i);
				echo "<option value='$value'";
				if (date("w", $i) == 0 || date("w", $i) == 6) echo " class=\"weekend\"";
				if ($datum == $value) echo " selected";
				echo ">$datestr</option>\n";
			}
		} ?>
		</select>
		<select name='type' onchange='afschrijfboek.submit()'>
		<?php
		foreach ($types as $key => $val) {
			echo "<option value='$key'";
			if ($key == $type) echo " selected";
			echo ">".$val['boot']."</option>";
		}
		?> </select></form> <?php
		
		//Botentabel van de dag
		$zonop=date_sunrise($datum, SUNFUNCS_RET_TIMESTAMP, 52, -6, 90, $time_offset);
		$zononder=date_sunset($datum, SUNFUNCS_RET_TIMESTAMP, 52, -6, 90, $time_offset);
		$tstart=8;
		$teind=21;
		echo "<table class='afschrijfboek' cellpadding='0' cellspacing='0'>";
		echo "<thead><tr><th>Boot</th>";
		for($i=intval($tstart);$i<intval(($teind+1));$i++) {
			echo "<th colspan='4'>$i</th>";
		}
		echo "</tr></thead><tbody>";
		foreach( $boots as $boot) {
			$opmerking="";
			echo "<tr>";
			$link = "index.php?option=$option&Itemid=$Itemid&taak=boot&boot=$boot->bid&from=afschrijfboek&datum=$datum&type=$type&from=$taak";
			$boottype = $boot->btype . $boot->bn_seats;
			if ($boot->bscull) $boottype = $boottype . "x";
			if ($boot->bcoxed) $boottype = $boottype . "+";
			else if (!$boot->bscull) $boottype = $boottype . "-";
			echo "<td><a href='".sefRelToAbs($link)."'>$boot->bname </a>";
			if (!$boot->bspeciaal) {
				echo " ($boottype";
				if ($boot->stip != null) echo ", $boot->stip";
				echo ")";
			}
			echo "</td>";
			for ($h=$tstart;$h<($teind+1);$h++) {
				for($m="00";$m<60;$m+=15) {
					$nu = $datum +  3600*($h+$time_offset) + 60*$m;
					if ($boot->kapot) {
						echo "<td class='kapot'><img src='".sefRelToAbs('templates/skoll/images/spacer.png')."' alt='Uit de vaart' title='Uit de vaart'/></td>";
					}
					else {
						$vrij = true;
						$boektijd = NULL;
						foreach ( $tijden[$boot->bid] as $tijd) {
							if ($nu>=$tijd->start+($time_offset*3600) && $nu<$tijd->finish+($time_offset*3600)) {
								$vrij = false;
								$boektijd = $tijd->start;
								$own = false;
								if ($my->id == $tijd->uid) {
									$own = true;
									$opmerking = "- klik om te wijzigen";
								}
								else $opmerking = "- gereserveerd door ".$tijd->name;
								if (in_array($my->id,$afschrijfbaas) && !$own) {
									$opmerking .=" - klik hier om te wijzigen";
								}
							}
						}
						if (!$vrij) {
							$link = "index.php?option=$option&Itemid=$Itemid&taak=toonres&start=$boektijd+&boot=$boot->bid&datum=$datum&type=$type&from=$taak";
							echo "<td class=";
							if ($own) {
								if ($nu == $boektijd+($time_offset*3600))
									echo "'eigenfirst'";
								else
									echo "'eigen'";
							}
							else{
								if ($nu == $boektijd+($time_offset*3600))
									echo "'bezetfirst'";
								else
									echo "'bezet'";
							}
							echo "><a href='".sefRelToAbs($link)."'><img src='".sefRelToAbs('templates/skoll/images/spacer.png')."' alt='$h:$m $opmerking' title='$h:$m $opmerking' /></a></td>";
						}
						else if ($nu < ($now + 3600*$time_offset) || (!$boot->bdonker && ($nu<$zonop || $nu>$zononder))) {
						if ($nu < ($now + 3600*$time_offset) || $boot->bdonker ) {$message = "Al verstreken";}
						else {$message = "Zon onder";}
						echo "<td class='donker'><img src='".sefRelToAbs('templates/skoll/images/spacer.png')."' alt='$message - $h:$m' title='$message - $h:$m'/></td>";
						}
						else {
							$link = "index.php?option=$option&Itemid=$Itemid&taak=boek&start=$nu&boot=$boot->bid&datum=$datum&type=$type&from=$taak";
							echo "<td class='vrij'><a href='".sefRelToAbs($link)."'><img src='".sefRelToAbs('templates/skoll/images/spacer.png')."' alt='$h:$m' title='$h:$m' /></a></td>";
						}
					}
				}
			}
			echo "</tr>";
		}
		echo "</tbody></table><br />";
		if (in_array($my->id,$afschrijfbaas) && !$lookback) {
			$link = "index.php?option=$option&Itemid=$Itemid&taak=admin&datum=$datum&type=$type&from=$taak";
			echo "<a href='".sefReltoAbs($link)."'>Administratie</a><br />";
		}
		elseif ($lookback) {
			$link = "index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$taak";
			echo "<a href='".sefReltoAbs($link)."'>Normale weergave</a><br />";
		}
		$link = "index.php?option=$option&Itemid=$Itemid&taak=schadeboek&datum=$datum&type=$type&from=$taak";
		echo "<a href='".sefReltoAbs($link)."'>Schadeboek</a><br />";
		$link = "index.php?option=$option&Itemid=$Itemid&taak=disclaimer&datum=$datum&type=$type&from=$taak";
		echo "<a href='".sefReltoAbs($link)."'>Disclaimer</a><br />";
		$link = "index.php?option=$option&Itemid=$Itemid&taak=help&datum=$datum&type=$type&from=$taak";
		echo "<a href='".sefReltoAbs($link)."'>Help</a><br />";
	}
	
	function reserveer_boot($option,$start,$max,$boot,$datum,$type,$from) {
	global $Itemid;
	global $time_offset;
	global $local;

	setlocale(LC_TIME, $local);
	$zonop=date_sunrise($start, SUNFUNCS_RET_TIMESTAMP, 52, -6, 90, $time_offset);
	$zononder=date_sunset($start, SUNFUNCS_RET_TIMESTAMP, 52, -6, 90, $time_offset);
	if ($start < $zonop && !$boot->bdonker) $start = $zonop;
	if ($max > $zononder && !$boot->bdonker) $max = $zononder+900;

	
	$start-=$time_offset*3600;
	$max-=$time_offset*3600;
	
	?>
	<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$from");?>' method='post' id='afschrijfboek'>
	<input type='hidden' name='option' value='<?php echo $option;?>'>
	<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
	<input type='hidden' name='taak' value='reserveer'>
	<input type='hidden' name='bid' value='<?php echo $boot->bid;?>' >
	<h2>Reserveer boot: <?php echo $boot->bname." - ".strftime("%A %d %B",$start);?></h2>
	<table><tr>
	<td>Van: </td>
	<td><select name='start'>
	<?php 
	for ($i=$start;$i<$max;$i+=(15*60)) {
		$tijdstr=strftime("%H:%M",$i);
		echo "<option value=\"$i\"";
		if ($i == $start) echo " selected";
		echo ">$tijdstr</option>\n";
	}
	?></td></tr>
	<tr><td>Tot: </td>
	<td><select name='finish'>
	<?php 
	for ($i=$start+(15*60);$i<=$max;$i+=(15*60)) {
		$tijdstr=strftime("%H:%M",$i);
		echo "<option value=\"$i\"";
		if ($i > ($max-900)) echo " selected";
		echo ">$tijdstr</option>\n";
	}
	?></td></tr>
	</table>
	<INPUT TYPE='submit' name='send' class='button' VALUE='Maak reservering'>
	</form>
	<?php
	}
	
	function toon_res($option,$res,$boot,$max,$datum,$type,$from) {
	global $my,$database,$afschrijfbaas;
	global $Itemid;
	global $time_offset,$now;
	global $local;
	$start=$res->start;
	$finish=$res->finish;
	
	
	setlocale(LC_TIME, $local);
	$zonop=date_sunrise($start, SUNFUNCS_RET_TIMESTAMP, 52, -6, 90, $time_offset);
	$zononder=date_sunset($start, SUNFUNCS_RET_TIMESTAMP, 52, -6, 90, $time_offset);
	if ($start < $zonop && !$boot->bdonker) $start = $zonop-($time_offset*3600);
	if ($max > $zononder && !$boot->bdonker) $max = $zononder+900-($time_offset*3600);

	$own=false;
	if($my->id ==$res->uid) $own=true;
	?>
	<h2>Informatie over reservering van de <?php echo "$boot->bname</h2>";?>
	<p> Gereserveerd op 
	<?php echo strftime("%A %d %B",$res->start)." van ".strftime("%H:%M",$res->start)." tot ".strftime("%H:%M",$res->finish)."</p>";
	if($own && $res->finish > ($now + $time_offset)) {
		// Eigen afschrijving, delete en wijzig-opties. Eerst wijzig, dan verwijder
		?>
		<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$from");?>' method='post' id='afschrijfboek'>
		<input type='hidden' name='option' value='<?php echo $option;?>'>
		<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
		<input type='hidden' name='taak' value='wijzig'>
		<input type='hidden' name='resid' value='<?php echo $res->id;?>' >
		<h3>Wijzig reservering</h3>
		<table><tr>
		<td>Van: </td>
		<td><select name='start'>
		<?php 
		for ($i=$start;$i<$max;$i+=(15*60)) {
			$tijdstr=strftime("%H:%M",$i);
			echo "<option value=\"$i\"";
			if ($i == $start) echo " selected";
			echo ">$tijdstr</option>\n";
		}
		?></td></tr>
		<tr><td>Tot: </td>
		<td><select name='finish'>
		<?php 
		for ($i=$start+(15*60);$i<=$max;$i+=(15*60)) {
			$tijdstr=strftime("%H:%M",$i);
			echo "<option value=\"$i\"";
			if ($i == $finish) echo " selected";
			echo ">$tijdstr</option>\n";
		}
		?></td></tr>
		</table>
		<INPUT TYPE='submit' name='send' class='button' VALUE='wijzig reservering'>
		</form>
		<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$from");?>' method='post' id='afschrijfboek'>
		<input type='hidden' name='option' value='<?php echo $option;?>'>
		<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
		<input type='hidden' name='taak' value='dodel'>
		<input type='hidden' name='resid' value='<?php echo $res->id;?>' >
		<INPUT TYPE='submit' name='send' class='button' VALUE='Verwijder reservering'>
		</form>
		<?php
	}
	else {
		?> <p>Gereserveerd door: <?php 
		$query = "SELECT name FROM users WHERE id=$res->uid";
		$database->SetQuery($query);
		$naam = $database->LoadResult();
		echo $naam."</p>";
		if (in_array($my->id,$afschrijfbaas)) {
			?>
			<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$from");?>' method='post' id='afschrijfboek'>
			<input type='hidden' name='option' value='<?php echo $option;?>'>
			<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
			<input type='hidden' name='taak' value='dodel'>
			<input type='hidden' name='resid' value='<?php echo $res->id;?>' >
			<INPUT TYPE='submit' name='send' class='button' VALUE='Verwijder reservering'>
			</form>
			<?php
		}
	}
	}
	
	function resultaat($option,$return) {
		print_r($return);
		echo "<br />";
	}
	
	function disclaimer ($option,$datum,$type,$from) { 
		global $Itemid;
		?>
		<h2>Skøll Afschrijfboek versie 0.9</h2>
		<h3>Dit afschrijfboek is wellicht nog in testfase!</h3>
		<h3>Licentie</h3>
		<p>Dit afschrijfboek is geschreven voor de ``Algemene Amsterdamse Studentenroeivereniging Skøll'' door Sjoerd Hardeman en de CIA. Copyright 2006-2008 ligt bij deze personen, terwijl ze niet aansprakelijk zijn voor eventuele schade als gevolg van het gebruik van dit afschrijfboek.</p>
		<p>Het afschrijfboek is vrijgegeven onder <a href=http://www.gnu.org/copyleft/gpl.html>GPLv3</a>. Dit betekent dat de broncode vrij beschikbaar is, zolang je wijzigingen aan de broncode ook weer vrij beschikbaar zijn. Dit doe ik enerzijds omdat Joomla (het CMS waarop de site gebaseerd is) dit eist, anderzijds omdat ik achter de ideeën van de licentie sta.  De code is dan ook te <a href='<?php echo sefReltoAbs("http://www.lorentz.leidenuniv.nl/~sjoerd/files/afschrijfboek.zip"); ?>'>downloaden</a>. Ik nodig geïnteresseerden van harte uit om mee te helpen met de ontwikkeling.
		<h3>Todo</h3>
		<p>Een zeer zeker niet volledige lijst. Meer ideeën? Mail <a href="mailto:sjoerde@skoll.nl">sjoerd@skoll.nl</a></p>
		<p><ul>
		<li>Team-reservering en verwijdering mogelijk maken. Dus als Jantje van ploeg A een boot reserveert, kan moet Pietje van ploeg A de reservering kunnen verwijderen, terwijl Keesje uit ploeg B dit niet kan</li>
		<li>Extra rechten voor bepaalde teams op de aan hun toegewezen boot mogelijk maken, zoals meer dan 7 dagen vooruit afschijven</li>
		<li>Backend botenbeheer en rechtenbeheer. Een mogelijkheid voor de materiaalcommissaris en competitiecommissaris om boten toe te voegen en te wijzigen, en bij te houden wie welke afschijfrechten heeft</li>
		<li>Koppelen aan stippendatabase</li>
		<li>Een werkbare interface maken voor mobiele telefoons</li>
		<li>Vaarverbod in afschrijfboek verwerken</li>
		<li>Code verbeteren: meer references in functies, wat meer standaardtaken in functies</li>
		<li>Betere Joomla-integratie: een extends van de db-classe maken, zorgen dat de css in de header geladen wordt</li>
		<li>Snellere laadtijd afschrijfboek: gebruik javascript/ajax en wellicht een sneller design</li>
		<li>Zomer- en wintertijd gaan een dag te laat in. Gebruik php-calendarobjecten om goede local-times te genereren in plaats van de eigen, niet geheel werkende, localtime-implementatie. Met andere woorden: zorgen dat overal database-tijden in UTC staan en die tijden omzetten naar de juiste localtime.</li>
		<li>Afschrijfstatistieken</li>
		</ul></p>
		
		<h3>Toegevoegd</h3>
		<p><ul>
		<li>Alles is nu numeriek en wordt ook gecontroleerd</li>
		<li>Eigen afschrijvingen zijn groen, van anderen rood</li>
		<li>Pathway werkt, volgens mij altijd</li>
		<li>Typeselectie nu mogelijk</li>
		<li>'s Avonds afschrijven mogelijk, daarvoor is de botentabel aangepast</li>
		<li>Afschrijflimiet van 2 uur wordt ook gecontroleerd bij afschrijving</li>
		<li>Schadeboek geïmplementeerd, mailmelding aan materiaalcommissaris. Er moet nog een manier komen om schades aan wedstrijdboten online te kunnen melden</li>
		<li>Uit de vaart mogelijk voor opgegeven ID's. Op dit moment zijn dit Hanneke, Roel, Joep, Jan-Sjoerd en Sjoerd. Bij uit de vaart halen wordt tot 7 dagen vooruit een mail gestuurd.</li>
		<li>Een help-pagina</li>
		<li>28 dagen vooruit afschrijven voor de afschijfbazen (=materiaalcommissaris, composaris, wedcom en ik)</li>
		<li>Zwarte lijntjes om de afschrijving om zo verschillende afschrijvingen te kunnen herkennen</li>
		<li>Vrije afschrijving mogelijk maken voor competitiecommissaris</li>
		<li>Botensmoelenboek/schadeboek</li>
		<li>Logischer navigatie: als je een twee hebt afgeschreven moet je ook weer terug naar de twee-pagina, op de juiste dag</li>
		</ul></p>
		<br />
		<?php 
		$link="index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$from";
		echo "<a href='".sefRelToAbs($link)."'>Terug naar het afschrijfboek</a><br />";
	}

	function help ($option,$datum,$type,$from) { 
		global $Itemid;
		?>
		<h2>Skøll Afschrijfboek - Help</h2>
		<p>Om te beginnen hoop ik dat het afschijfboek zichzelf een beetje wijst. Echter, het blijkt dat niet iedereen alle mogelijkheden zomaar kan vinden. Daarom dit document dat beschrijft wat mogelijk is. Mochten er zaken niet duidelijk zijn, schroom dan niet om het mij te vragen: <a href="mailto:sjoerde@skoll.nl">sjoerd@skoll.nl</a>.<p>
		<h3>Afschrijven</h3>
		<p>Het afschijven van een boot gaat als volgt: kies eerst de dag, maximaal 7 dagen vooruit, waarop je de boot wilt afschijven. Kies daarna het type. Ergometers, de bak en de fietsen staan onder "overig". Vervolgens kan je op een vakje behorende bij de tijd klikken om een boot af te schrijven. Als je je muis er even op laat staan krijg je een balkje met de tijd te zien. Grijze vakjes zijn geblokkeerd omdat het daar donker is of omdat dat tijdsstip al verstreken is. Zwarte vakjes betekent dat de boot uit de vaart is. Als je je muis daarop laat staan krijg je in een balkje de reden te zien.</p>
		<p>Als je op een hokje hebt geklikt kom je in een scherm waar je de begin- en eindtijd kan instellen. De begintijd staat automatisch op de tijd waarop je geklikt hebt, de eindtijd staat zo laat mogelijk maar nooit meer dan twee uur. Langer afschijven is in principe niet de bedoeling, maar voor de eventuele tocht naar Uithoorn kan je natuurlijk een boot altijd twee keer achter elkaar afschijven. Na het invoeren van de juiste tijden klik je op `Maak reservering'. De boot is dan afgeschreven en je kan verder op de site of terugkeren naar het afschijfboek. Als je op een publieke PC zit, log dan uit!</p>
		<h3>Schadeboek en bootinformatie</h3>
		<p>Als je in plaats van op een vakje met een tijd op de bootnaam klikt, kom je terecht op een pagina met meer informatie over de boot. Daarnaast kan je hier een schade melden. De materiaalcommissaris krijgt dan automatisch een mailtje. De materiaalcommissaris kan hier ook boten uit de vaart halen, iedereen die de boot heeft afgeschreven krijgt dan een mailje dat de afschijving niet door kan gaan.</p>
		<?php
		$link="index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&from=$from";
		echo "<a href='".sefRelToAbs($link)."'>Terug naar het afschrijfboek</a><br />";
	}
	
	function boot_show ($option,$taak,$result,$datum,$type) {
		global $my,$bootbaas,$Itemid;
		$edit = false;
		if (in_array($my->id,$bootbaas)) $edit = true;
		echo "<H2>$result->bname</H2>\n";
		if ($edit) { ?>
			<h3>Schade</h3>
			<p><?php if ($result->rapport) echo "Er is een schade gemeld: ".$result->rapport; ?>
			<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&taak=$taak");?>' method='post' id='afschrijfboek'>
			<input type='hidden' name='option' value='<?php echo $option;?>'>
			<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
			<input type='hidden' name='taak' value='bootedit'>
			<input type='hidden' name='bid' value='<?php echo $result->bid;?>'>
			Uit de vaart <INPUT type='checkbox' name='kapot' value='kapot' <?php if ($result->kapot) echo "checked"; ?> ><br />
			<textarea rows='5' cols='50' name='schade'><?php echo $result->schade; ?></textarea><br />
			<INPUT TYPE='submit' name='send' class='button' VALUE='Verander bootstatus'>
			</form></p>
			<?php
		}
		else if ($result->kapot) echo "<p>Uit de vaart: $result->schade</p>";
		else { ?>
			<H3>Rapporteer schade</H3>
			<p> <?php if ($result->rapport) echo "Er is al een schade gemeld: ".$result->rapport; ?>
			<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&taak=$taak");?>' method='post' id='afschrijfboek'>
			<input type='hidden' name='option' value='<?php echo $option;?>'>
			<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
			<input type='hidden' name='taak' value='bootedit'>
			<input type='hidden' name='bid' value='<?php echo $result->bid;?>'>
			<input type='hidden' name='uid' value='<?php echo $my->id; ?>'>
			<textarea rows='5' cols='50' name='rapport'></textarea><br />
			<INPUT TYPE='submit' name='send' class='button' VALUE='Rapporteer'>
			</p>
		<?php
		}
		echo "<p> Boottype: ";
		echo $result->btype.$result->bn_seats;
		if ($result->bscull) echo "x";
		if ($result->bcoxed) echo "+";
		else if (!$result->bscull) echo "-";
		echo "<br />";
		if ($bused_as='C') echo "Competitieboot<br />";
		else echo "Wedstrijdboot<br />";
		echo "Roeiersgewicht: ".$result->brower_weight." kg<br />";
		if ($result->bfree_to_use) echo "Deze boot kan worden afgeschreven<br />";
		if ($result->bdonker) echo "Deze boot mag in het donker varen<br />";
		
		echo "<h3>Naam en geschiedenis</h3>";
		echo "<p>Deze boot is gekocht in $result->bacquired";
		if ($result->bbought_from) echo " van $result->bbought_from. ";
		else echo ". ";
		 echo "De doper was $result->bchristened_by. De boot is van het merk $result->bbuilder, gemaakt van $result->bmaterial</p>";
		if ($result->bpronunciation) {
			echo "<p>De uitspraak van de naam is $result->bpronunciation. ";
			if ($result->bnickname) "De boot wordt ook wel $result->bnickname genoemd.";
			echo "</p>";
		}
		
		echo "<h3>Betekenis van de naam</h3>";
		echo "<p>$result->babout_name</p>";
		
		echo "<h3>Verdere informatie</h3>";
		echo "<p>$result->babout_boat</p>";
		echo "<p>$result->bextra_remarks</p>";
		
		if($taak == "lookback") $taaknaam = "afschrijfboek";
		else $taaknaam = $taak;
		$link="index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type&taak=$taak";
		echo "<a href='".sefRelToAbs($link)."'>Terug naar het $taaknaam</a><br />";
	}
	
	//Error tracking en testfuncties
	function error($option,$message) {
		echo "<h2>Er is een fout opgetreden</h2>";
		echo "<p>$message</p>";
	}
	
	function test($option,$message) {
		print_r($message);
		echo "<br />";
	}
	
	function freeres($option,$boten,$leden) {
		global $afschrijfbaas,$my,$local,$afschrijfbaas,$now,$component_root,$Itemid;

		setlocale(LC_TIME, $local);
		if (!in_array($my->id,$afschrijfbaas)) die ("Je bent niet gerechtigd deze pagina te bekijken");
		?>
		<script type='text/javascript' src='<?php echo sefReltoAbs("components/com_afschrijfboek/calendarDateInput.js");?>'>
		/***********************************************
		* Jason's Date Input Calendar- By Jason Moon http://calendar.moonscript.com/dateinput.cfm
		* Script featured on and available at http://www.dynamicdrive.com
		* Keep this notice intact for use.
		***********************************************/
		</script>
		<script type="text/javascript">
		<!--
		var counter = 0;
        	function init() {
			document.getElementById('moreFields').onclick = moreFields;
			moreFields();
			setEinddatum();
			setHerhalen();
		}
		function moreFields() {
			counter++;
			var newFields = document.getElementById('readroot').cloneNode(true);
			newFields.id = '';
			newFields.style.display = 'block';
			var newField = newFields.childNodes;
			for (var i=0;i<newField.length;i++) {
				var theName = newField[i].name
				if (theName=="bootid[]")
					newField[i].value = counter;
				else
					newField[i].name = theName + counter;
			}
			var insertHere = document.getElementById('writeroot');
			insertHere.parentNode.insertBefore(newFields,insertHere);
			}
		
		function setEinddatum() {
			if (document.getElementById('diffeind').checked) {
				document.getElementById('einddatum_Day_ID').disabled = false;
				document.getElementById('einddatum_Month_ID').disabled = false;
				document.getElementById('einddatum_Year_ID').disabled = false;
			} else {
				document.getElementById('einddatum_Day_ID').disabled = true;
				document.getElementById('einddatum_Month_ID').disabled = true;
				document.getElementById('einddatum_Year_ID').disabled = true;
			
			}
		}
		
		function setHerhalen() {
			if (document.getElementById('herhalen').checked) {
				document.getElementById('herhaaldatum_Day_ID').disabled = false;
				document.getElementById('herhaaldatum_Month_ID').disabled = false;
				document.getElementById('herhaaldatum_Year_ID').disabled = false;
				document.getElementById('herhaaldatum_ID_Link').disabled = false;
			} else {
				document.getElementById('herhaaldatum_Day_ID').disabled = true;
				document.getElementById('herhaaldatum_Month_ID').disabled = true;
				document.getElementById('herhaaldatum_Year_ID').disabled = true;
				document.getElementById('herhaaldatum_ID_Link').disabled = true;
			}
		}
		window.onload = init
		// -->
		</script>
		
		<div id="readroot" style="display:none">
			<input type="hidden" name="bootid[]">
			<input type="button" value="-" onclick="this.parentNode.parentNode.removeChild(this.parentNode);" />
			<select name='boot'>
			<?php foreach ($boten as $boot) {
			$boottype = $boot->btype . $boot->bn_seats;
			if ($boot->bscull) $boottype = $boottype . "x";
			if ($boot->bcoxed) $boottype = $boottype . "+";
			else if (!$boot->bscull) $boottype = $boottype . "-";
			echo "<option value=$boot->bid >$boot->bname ($boottype)</option>";
			}?>
			</select>
		</div>
		<h2>Vrije afschrijving</h2>
		<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid");?>' method='post' id='afschrijfboek'>
		<input type='hidden' name='option' value='<?php echo $option;?>'>
		<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
		<input type='hidden' name='taak' value='checkfreeres'>
		<input type='hidden' name='uid' value='<?php echo $my->id; ?>'>
		<h3>Afschrijfgegevens</h3>
		<table><tr><td>Naam:</td>
		<td><select name='lid'>
		<?php foreach ($leden as $lid) {
			echo "<option value=$lid->id >$lid->name</option>";
		}?>
		</select></td></tr>
		<tr><td><label>Startdatum:</label></td><td>
			 <script>DateInput('startdatum', true, 'DD-MM-YYYY')</script>
		</td></tr>
		<tr><td><label>Starttijd</label></td><td>
			<select name="startuur">
				<?php for ($i=0;$i<24;$i++) {
					$val=sprintf("%02d",$i);
					echo "<option value='$i'>$val</option>";
				}?>
			</select>
			<select name="startminuut">
				<?php for ($i=0;$i<60;$i+=15) {
					$val=sprintf("%02d",$i);
					echo "<option value='$i'>$val</option>";
				}?>
				</select>
		</td></tr>
		<tr><td><input type="checkbox" name="diffeind" id="diffeind" onchange="setEinddatum()">
			<label>Einddatum</label></td><td>
			 <script>DateInput('einddatum', true, 'DD-MM-YYYY')</script>
		</td></tr>
		<tr><td><label>Eindtijd</label></td><td>
			<select name="einduur">
				<?php for ($i=0;$i<24;$i++) {
					$val=sprintf("%02d",$i);
					echo "<option value='$i'>$val</option>";
				}?>
			</select>
			<select name="eindminuut">
				<?php for ($i=00;$i<60;$i+=15) {
					$val=sprintf("%02d",$i);
					echo "<option value='$i'>$val</option>";
				}?>
			</select>
		</td></tr>
		<tr><td><input type="checkbox" name="herhalen" id="herhalen" onchange="setHerhalen()">
			<label>Wekelijks herhalen tot:</label></td><td>
			 <script>DateInput('herhaaldatum', true, 'DD-MM-YYYY')</script>
		</td>
		</table>
		<h3>Boten</h3>
		<span id="writeroot"></span>

		<input type="button" id="moreFields" value="+" /><br />
		<input type='submit' name='send' class='button' value='Reserveer' />
		</form>
		<?php
	}
	
	function confirm_freeres($option,&$result,$lidid,&$bids,$start,$eind,$herhaal) {
	?>
	<script>
		function stuurmailfunc() {
			if (document.getElementById('stuurmail').checked)
				document.getElementById('email').disabled = false;
			else
				document.getElementById('email').disabled = true;
		}
		window.onload = stuurmailfunc();
	</script>
	<?php
		global $afschrijfbaas,$my,$local,$afschrijfbaas,$now,$component_root,$Itemid,$time_offset;
		setlocale(LC_TIME, $local);
		
		if (!in_array($my->id,$afschrijfbaas)) die ("Je bent niet gerechtigd deze pagina te bekijken");
		
		echo "<h2>Bevestig overschrijven reserveringen</h2>";
		echo "<p>Er zijn overlappende afschrijvingen gevonden. Wil je deze verwijderen?</p>";
		echo "<ul>";
		foreach ($result as $dbobj) {
			foreach ($dbobj as $r) {
				echo "<li>".$r->bootnaam." door ".$r->naam." op ".strftime("%A %d %B %Y van %H:%M tot ",$r->start+$time_offset*3600).strftime("%H:%M",$r->finish+$time_offset*3600)."</li>";
				$ids[] = $r->id;
			}
		}
		echo "</ul>";
		?>
		<form name='afschrijfboek' action='<?php echo sefReltoAbs("index.php?option=$option&Itemid=$Itemid");?>' method='post' id='afschrijfboek'>
		<input type='hidden' name='option' value='<?php echo $option;?>'>
		<input type='hidden' name='Itemid' value='<?php echo $Itemid;?>'>
		<input type='hidden' name='taak' value='forcefreeres'>
		<input type='hidden' name='lidid' value='<?php echo $lidid; ?>'>
		<input type='hidden' name='bids' value='<?php echo serialize($bids); ?>'>
		<input type='hidden' name='ids' value='<?php echo serialize($ids); ?>'>
		<input type='hidden' name='start' value='<?php echo $start; ?>'>
		<input type='hidden' name='eind' value='<?php echo $eind; ?>'>
		<input type='hidden' name='herhaal' value='<?php echo $herhaal; ?>'>
		<h3>Email</h3>
		<p>Er kan een automatische mail worden gegeneerd. Hieronder kan je de mail naar wens aanpassen.<br />
		<label>Mail sturen?</label><input type='checkbox' checked name='stuurmail' id='stuurmail' onchange='stuurmailfunc()'><br />
		<i>Mogelijke tags: {boot}, {datum}, {tijd}, {oudreserveernaam}, {mijnnaam}, {nieuwreserveernaam}</i><p>
		<textarea rows='5' cols='50' name='email' id='email'><?php
		echo "Beste {oudreserveernaam},\n\nJe afschrijving van de '{boot}' op {datum} om {tijd} is komen te vervallen.\n\ngroeten {mijnnaam}";?>
		</textarea><br />
		<input type='submit' name='send' class='button' value='Voer door' />
		</form>
		<?php
	}
	
	function admin($option) {
		global $Itemid;
		$link_freeres = "index.php?option=$option&Itemid=$Itemid&taak=freeres";
		$link_lookback = "index.php?option=$option&Itemid=$Itemid&taak=lookback";
		
		?>
		<h2>Administratie</h2>
		<ul>
			<li><a href='<?php echo sefReltoAbs($link_freeres); ?>'>Vrije reservering plaatsen</a></li>
			<li><a href='<?php echo sefReltoAbs($link_lookback); ?>'>Reserveringen terugkijken</a></li>
		</ul>
		
		
		<?php
	}
	
	function schadeboek($option,&$bootlijst,$type,$datum) {
		global $Itemid;
		?>
			<link rel='stylesheet' href='components/com_afschrijfboek/afschrijfboek.css' type='text/css'>
			<h2>Schadeboek</h2>
			<p>Boten met een grijze achtergrond zijn uit de vaart</p>
			<table class='schadeboek'>
			<thead><tr><th>Boot</th><th>Schademelding</th></tr></thead>
			<tbody>
		<?php
			foreach($bootlijst as $b) {
				if ($b->kapot) $kapot=" class='kapot'";
				else $kapot="";
				echo "<tr><td$kapot>";
				$link = "index.php?option=$option&Itemid=$Itemid&taak=boot&boot=$b->bid&datum=$datum&type=&type&from=schadeboek";
				$boottype = $b->btype . $b->bn_seats;
				if ($b->bscull) $boottype = $boottype . "x";
				if ($b->bcoxed) $boottype = $boottype . "+";
				else if (!$b->bscull) $boottype = $boottype . "-";
				echo "<a href='".sefRelToAbs($link)."'>$b->bname </a>";
				if (!$b->bspeciaal) {
					echo " ($boottype";
					if ($boot->stip != null) echo ", $boot->stip";
					echo ")";
				}
			echo "</td>";
				if ($b->kapot) {
					echo "<td>$b->schade</td></tr>";
				}
				else {
					echo "<td>$b->rapport</td></tr>";
				}
				if ($b->kapot) echo "</i>";
			}
		?>
			</tbody></table>
			
		<?php
		$link="index.php?option=$option&Itemid=$Itemid&datum=$datum&type=$type";
		echo "<a href='".sefRelToAbs($link)."'>Terug naar het afschrijfboek</a><br />";
		$link = "index.php?option=$option&Itemid=$Itemid&taak=help&datum=$datum&type=$type&from=$taak";
		echo "<a href='".sefReltoAbs($link)."'>Help</a><br />";
	}
}
?>
